function boundingBox = computeBoundingBoxVertices(v)
%% Compute bounding box, boundingBox = [xMin xMax yMin yMax zMin zMax];
% This function is part of the MPI08 data set, to be obtained at 
% http://www.tnt.uni-hannover.de/project/MPI08_Database/
%
% This function is part of the MPI08 data set, to be obtained at 
% http://www.tnt.uni-hannover.de/project/MPI08_Database/
%
% Written by: Andreas Baak 
% Revision:   1.0
% Date:       15.07.2009
%
% Copyright 2010, MPI Informatik, Germany, and Hannover University, Germany.
% All Rights Reserved Permission to use, copy, modify, and distribute this 
% software and its documentation for any non-commercial purpose is hereby 
% granted without fee, provided that the above copyright notice appear in 
% all copies and that both that copyright notice and this permission 
% notice appear in supporting documentation, and that the name of the 
% author not be used in advertising or publicity pertaining to distribution 
% of the software without specific, written prior permission. 
% THE AUTHOR DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, 
% INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR ANY 
% PARTICULAR PURPOSE. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY 
% SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER 
% RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF 
% CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN 
% CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE. 


if size(v, 1) ~= 3
    error('Vertices have to be a 3xN matrix.');
end
boundingBox = [inf;-inf;inf;-inf;inf;-inf];
boundingBox(1) = min(boundingBox(1),min(v(1,:))); % xmin
boundingBox(2) = max(boundingBox(2),max(v(1,:))); % xmax
boundingBox(3) = min(boundingBox(3),min(v(2,:))); % ymin
boundingBox(4) = max(boundingBox(4),max(v(2,:))); % ymax
boundingBox(5) = min(boundingBox(5),min(v(3,:))); % zmin
boundingBox(6) = max(boundingBox(6),max(v(3,:))); % zmax
end